{% extends 'HCUEPacienteBundle::layout.html.twig' %}
{% block bradcrumbs '' %}
{% block page_header_content '' %}

{% block page_main_content %}
    <div class="space-8"></div>
    <div class="row width-100">
        <div class="col-md-6 col-md-offset-3">
            <h3 class="header smaller blue">Datos del Establecimiento de Salud</h3>

            <div class="well">
                <h4 class="green smaller lighter">Institución</h4>
                {{ entidad.nombreoficial }}
            </div>

            <div class="well">
                <h4 class="orange2 smaller lighter">Ubicación</h4>
                {% if parroquia!=null %}{{ provincia~"/"~canton~"/"~parroquia }}{% endif %}
            </div>

            <div class="well">
                <h4 class="purple smaller lighter">Dirección</h4>
                {{ entidad.direccion }}
            </div>
        </div>
        {#<div class="col-md-6">#}
            {#<div class="widget-box">#}
                {#<div class="widget-header widget-header-small">#}
                    {#<h5 class="widget-title">#}
                        {#<i class="ace-icon fa fa-bank"></i>#}
                        {#Datos del Establecimiento de Salud#}
                    {#</h5>#}
                {#</div>#}
                {#<div class="widget-body">#}
                    {#<div class="widget-main">#}
                        {#<div class="tab-content">#}
                            {#<div class="row" style="margin-left: 5px">#}
                                {#<div class="col-xs-12">#}
                                    {#<h5>Institución:</h5>#}
                                    {#<h6 style="font-weight: bold" id="lblinstitucion">{{ entidad.nombreoficial }}</h6>#}
                                {#</div>#}
                                {#<div class="col-xs-12">#}
                                    {#<h5>Ubicación:</h5>#}
                                    {#<h6 style="font-weight: bold" id="lblubicacion">#}
                                        {#{% if parroquia!=null %}{{ provincia~"/"~canton~"/"~parroquia }}{% endif %}#}
                                    {#</h6>#}
                                {#</div>#}
                                {#<div class="col-xs-12">#}
                                    {#<h5>Dirección:</h5>#}
                                    {#<h6 style="font-weight: bold" id="lbldireccion">{{ entidad.direccion }}</h6>#}
                                {#</div>#}
                            {#</div>#}
                        {#</div>#}
                    {#</div>#}
                {#</div>#}
            {#</div>#}
        {#</div>#}
        {#<div class="col-md-5">#}
        {#<div class="widget-box">#}
        {#<div class="widget-header widget-header-flat widget-header-small">#}
        {#<h5 class="widget-title">#}
        {#<i class="ace-icon fa fa-user"></i>#}
        {#Registro de Pacientes#}
        {#</h5>#}
        {#</div>#}
        {#<div class="widget-body">#}
        {#<div class="widget-main">#}
        {#<div id="paciente-placeholder"></div>#}
        {#</div>#}
        {#</div>#}
        {#</div>#}
        {#</div>    #}
    </div>
    <div class="space-16"></div>
    <div class="row width-100">
        <div class="col-md-6 col-md-offset-3">
            <div class="alert alert-info"  style="font-size: 13px; !important;">
                <p class="center">Los datos estadísticos presentados en esta sección están siendo trasladados al módulo
                    de reportes.</p>
                <p class="center">Agradecemos su comprensión</p>
            </div>
        </div>
    </div>

    {#<div class="row" >#}
    {#<div class="col-md-1">#}
    {#</div> #}
    {#<div class="col-md-5">#}
    {#<div class="widget-box">#}
    {#<div class="widget-header widget-header-flat widget-header-small">#}
    {#<h5 class="widget-title">#}
    {#<i class="ace-icon fa fa-archive"></i>#}
    {#Número de Archivo#}
    {#</h5>#}
    {#</div>#}
    {#<div class="widget-body">#}
    {#<div class="widget-main">#}
    {#<div id="archivo-placeholder"></div>#}
    {#</div>#}
    {#</div>#}
    {#</div>#}
    {#</div>    #}
    {#<div class="col-md-5">#}
    {#<div class="widget-box">#}
    {#<div class="widget-header widget-header-flat widget-header-small">#}
    {#<h5 class="widget-title">#}
    {#<i class="ace-icon fa fa-folder"></i>#}
    {#Inscripción Territorial#}
    {#</h5>#}
    {#</div>#}
    {#<div class="widget-body">#}
    {#<div class="widget-main">#}
    {#<div id="inscripcion-placeholder"></div>#}
    {#</div>#}
    {#</div>#}
    {#</div>#}
    {#</div>    #}
    {#</div>    #}
{% endblock page_main_content %}
{#{% block foot_script %}#}
    {#{{ parent() }}#}
    {#<script type="text/javascript">#}
        {#function drawPieChart(placeholder, data, position) {#}
            {#$.plot(placeholder, data, {#}
                {#series: {#}
                    {#pie: {#}
                        {#show: true,#}
                        {#tilt: 0.8,#}
                        {#highlight: {#}
                            {#opacity: 0.25#}
                        {#},#}
                        {#stroke: {#}
                            {#color: '#fff',#}
                            {#width: 2#}
                        {#},#}
                        {#startAngle: 2#}
                    {#}#}
                {#},#}
                {#legend: {#}
                    {#show: true,#}
                    {#position: position || "ne",#}
                    {#labelBoxBorderColor: null,#}
                    {#margin: [-30, 15]#}
                {#}#}
                {#,#}
                {#grid: {#}
                    {#hoverable: true,#}
                    {#clickable: true#}
                {#}#}
            {#})#}
        {#}#}

        {#function drawBarChart(placeholder, data, color) {#}
            {#$.plot(placeholder, data, {#}
                {#series: {#}
                    {#bars: {#}
                        {#show: true,#}
                        {#barWidth: 0.8,#}
                        {#align: "center",#}
                        {#fillColor: {#}
                            {#colors: [{#}
                                {#opacity: 1#}
                            {#}, {#}
                                {#opacity: 0.7#}
                            {#}]#}
                        {#},#}
                    {#}#}
                {#},#}
                {#xaxis: {#}
                    {#mode: "categories",#}
                    {#tickLength: 0,#}
                {#},#}

                {#legend: {#}
                    {#show: true,#}
                {#}#}
                {#,#}
                {#grid: {#}
                    {#hoverable: true,#}
                    {#clickable: true,#}
                    {#borderWidth: 0#}
                {#},#}
            {#});#}
        {#}#}

        {#function tooltipBars(placeholder) {#}
            {#var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');#}
            {#var previousPoint = null;#}
            {#placeholder.on('plothover', function (event, pos, item) {#}
                {#if (item) {#}
                    {#if (previousPoint != item.dataIndex) {#}
                        {#previousPoint = item.dataIndex;#}
                        {#var descripcion = item.series['data'][item.dataIndex][0];#}
                        {#var value = item.series['data'][item.dataIndex][1];#}
                        {#var tip = descripcion + " : " + value;#}
                        {#$tooltip.show().children(0).text(tip);#}
                    {#}#}
                    {#$tooltip.css({top: pos.pageY + 10, left: pos.pageX + 10});#}
                {#} else {#}
                    {#$tooltip.hide();#}
                    {#previousPoint = null;#}
                {#}#}

            {#});#}
        {#}#}

        {#function tooltipPieChar(placeholder) {#}
            {#var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');#}
            {#var previousPoint = null;#}
            {#placeholder.on('plothover', function (event, pos, item) {#}
                {#if (item) {#}
                    {#if (previousPoint != item.seriesIndex) {#}
                        {#previousPoint = item.seriesIndex;#}
                        {#var tip = item.series['label'] + " : " + item.series["datapoints"]["points"][1];#}
                        {#$tooltip.show().children(0).text(tip);#}
                    {#}#}
                    {#$tooltip.css({top: pos.pageY + 10, left: pos.pageX + 10});#}
                {#} else {#}
                    {#$tooltip.hide();#}
                    {#previousPoint = null;#}
                {#}#}

            {#});#}
        {#}#}

        {#$(function(){#}
        {#$.include_once('jquery.flot',function(){#}
        {#/* Registro de Pacientes */#}
        {#var datapaciente = {{ datapaciente|json_encode|raw  }};#}
        {#var paciente = $('#paciente-placeholder').css({'width':'100%' , 'min-height':'200px', 'align':'center'});#}
        {#drawBarChart(paciente,datapaciente);#}
        {#paciente.data('chart', datapaciente);#}
        {#paciente.data('draw', drawBarChart);#}
        {#tooltipBars(paciente);#}
        {#/* Numero de Archvo */#}
        {#var dataarchivo = [#}
        {#{data: [["Pacientes sin número de archivo", "{{ sinarchivo }}"]], color: "#AA4643"},#}
        {#{data: [["Pacientes con número de archivo", "{{ conarchivo }}"]], color: "#89A54E"},#}
        {#];#}
        {#var archivo = $('#archivo-placeholder').css({'width':'100%' , 'min-height':'200px', 'align':'center'});#}
        {#drawBarChart(archivo,dataarchivo);#}
        {#archivo.data('chart', dataarchivo);#}
        {#archivo.data('draw', drawBarChart);#}
        {#tooltipBars(archivo);#}
        {#/* Inscripcion Territorial */#}
        {#$.resize.throttleWindow = false;			#}
        {#var inscripcion = $('#inscripcion-placeholder').css({'width':'90%' , 'min-height':'200px'});#}
        {#var data = [#}
        {#{ label: "Pacientes sin inscripción",  data: parseInt('{{ sininscripcion }}'), color: "#DA5430"},#}
        {#{ label: "Pacientes con inscripción",  data: parseInt('{{ coninscripcion }}'), color: "#2091CF"},#}
        {#];#}
        {#drawPieChart(inscripcion, data);#}
        {#inscripcion.data('chart', data);#}
        {#inscripcion.data('draw', drawPieChart);#}
        {#tooltipPieChar(inscripcion);#}
        {#}); #}
        {#});#}


    {#</script>#}
{#{% endblock foot_script %}#}